Skip to main content
Channels

Create a new channel

Create a new channel. This method requires the Channels:Create permission to be associated with your role.

POST
/fm/channels
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

bank_account_namestringdefault:

Bank Name

Example: ABC Bank
bank_account_numberstringdefault:null

Bank Account number

Example: 123456789
bank_bsbstringdefault:null

Bank BSB

Example: 987-654
channelstringdefault:required

A name for the channel

Example: ABC Pty Ltd
channel_codestringdefault:required

A unique code for the channel

Example: ABC
channel_group_idstringdefault:null

Optional Channel Group Id

Example: 100000
company_idstringdefault:nullrequired

Company Id

Example: 1
status_flagenum<string>default:active

Status flag

Available options: active, inactive
Example: active

Response

application/vnd.catch-e-api.v1+json

Success

bank_account_namestring

Bank Name

Example: ABC Bank
bank_account_numberstring

Bank Account number

Example: 123456789
bank_bsbstring

Bank BSB

Example: 987-654
channelstring
Example: ABC Pty Ltd
channel_codestring
Example: ABC
channel_group_idstring
Example: 100000
channel_idstring
Example: 100000
company_idstring
Example: 1
status_flagenum<string>default:active

Status flag

Available options: active, inactive
Example: active